Bug 1989089 - dmarc dkim check always fails with: failure to store dkim for DMARC
Summary: dmarc dkim check always fails with: failure to store dkim for DMARC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: exim
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-02 11:49 UTC by o
Modified: 2021-08-19 00:32 UTC (History)
4 users (show)

Fixed In Version: exim-4.94.2-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
If this bug requires documentation, please select an appropriate Doc Type value.
Last Closed: 2021-08-19 00:32:06 UTC
Type: Bug


Attachments (Terms of Use)

Description o 2021-08-02 11:49:29 UTC
Description of problem:

DMARC DKIM domain checks always fail with the following log:

    failure to store dkim (example.com) for DMARC: Attempt to store an illegal value

The reason is the following upstream bug: https://bugs.exim.org/show_bug.cgi?id=2728

For some reason the package still builds, despite the broken signature of this function. Why that is would be another important question to ask. In any case, exim ends up passing the empty string u"" instead of the dkim_result, at the position where the library expects it.

Fedora includes the following patch, which centos is missing: https://src.fedoraproject.org/rpms/exim/blob/rawhide/f/exim-4.94.2-opendmarc-1.4-build-fix.patch

Probably the easiest is to include that patch.

Version-Release number of selected component (if applicable):

Probably all versions epel 7 and 8, which are built against opendmarc 1.4.

Comment 1 Marcel Haerry 2021-08-02 12:58:04 UTC
Pull request to fix - https://src.fedoraproject.org/rpms/exim/pull-request/13

Comment 2 Fedora Update System 2021-08-03 19:48:24 UTC
FEDORA-EPEL-2021-ec2ff35a27 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-ec2ff35a27

Comment 3 Fedora Update System 2021-08-04 14:41:42 UTC
FEDORA-EPEL-2021-ec2ff35a27 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-ec2ff35a27

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-08-19 00:32:06 UTC
FEDORA-EPEL-2021-ec2ff35a27 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.